Gentoo Archives: gentoo-user

From: karl@××××××××.se
To: gentoo-user@l.g.o
Subject: [gentoo-user] octave won't run
Date: Thu, 06 Feb 2020 08:28:17
Message-Id: 20200206082806.01DEC8A02BA8@turkos.aspodata.se
Octave won't run since a lib is missing.
I can re-emerge it without problems, but the problem still
persist. The lib is there but it has a different version.

Anyone know what this is about ?

$ ldd /usr/bin/octave-cli-4.2.2 | grep not
        liblapack.so.0 => not found
$ ls -l /usr/lib64/liblapack.*
lrwxrwxrwx 1 root root      28 May  9  2019 /usr/lib64/liblapack.a -> lapack/reference/liblapack.a
lrwxrwxrwx 1 root root      14 Nov 29 00:30 /usr/lib64/liblapack.so -> liblapack.so.3
lrwxrwxrwx 1 root root      18 Nov 29 00:30 /usr/lib64/liblapack.so.3 -> liblapack.so.3.8.0
-rwxr-xr-x 1 root root 6886896 Nov 29 00:29 /usr/lib64/liblapack.so.3.8.0

Regards,
/Karl Hammar

Replies

Subject Author
Re: [gentoo-user] octave won't run Mick <michaelkintzios@×××××.com>